Package org.apache.commons.beanutils2.locale

# Class BaseLocaleConverter.Builder<B extends BaseLocaleConverter.Builder<B,T>,T>

java.lang.Object
org.apache.commons.beanutils2.locale.BaseLocaleConverter.Builder<B,T>

Type Parameters:
  `B` - The builder type.
  `T` - The converter type.

Direct Known Subclasses:
  `DateLocaleConverter.Builder`, `DecimalLocaleConverter.Builder`, `StringLocaleConverter.Builder`

Enclosing class:
  `BaseLocaleConverter<T>`

public abstract static class BaseLocaleConverter.Builder<B extends BaseLocaleConverter.Builder<B,T>,T> extends Object
Builds instances of `BaseLocaleConverter` subclasses.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected T`
  `defaultValue`
  The default value specified to our Constructor, if any.
  `protected Locale`
  `locale`
  The locale specified to our Constructor, by default - system locale.
  `protected boolean`
  `localizedPattern`
  The flag indicating whether the given pattern string is localized or not.
  `protected String`
  `pattern`
  The default pattern specified to our Constructor, if any.
  `protected boolean`
  `useDefault`
  Should we return the default value on conversion errors?

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected B`
  `asThis()`
  Returns this instance cast as the exact subclass type.
  `abstract BaseLocaleConverter<?>`
  `get()`
  Gets a newly built instance.
  `B`
  `setDefault(T defaultValue)`
  Sets the default value.
  `B`
  `setLocale(Locale locale)`
  Sets the locale.
  `B`
  `setLocalizedPattern(boolean localizedPattern)`
  Sets the localized pattern.
  `B`
  `setPattern(String pattern)`
  Sets the pattern.
  `B`
  `setUseDefault(boolean useDefault)`
  Sets the use of default.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### defaultValue

    protected T defaultValue
    The default value specified to our Constructor, if any.

  - ### locale

    protected Locale locale
    The locale specified to our Constructor, by default - system locale.

  - ### localizedPattern

    protected boolean localizedPattern
    The flag indicating whether the given pattern string is localized or not.

  - ### pattern

    protected String pattern
    The default pattern specified to our Constructor, if any.

  - ### useDefault

    protected boolean useDefault
    Should we return the default value on conversion errors?

- ## Constructor Details

  - ### Builder

    public Builder()

- ## Method Details

  - ### asThis

    protected B asThis()
    Returns this instance cast as the exact subclass type.
    Returns:
      this instance cast as the exact subclass type.

  - ### get

    public abstract BaseLocaleConverter<?> get()
    Gets a newly built instance.
    Returns:
      a newly built instance.

  - ### setDefault

    public B setDefault(T defaultValue)
    Sets the default value.
    Parameters:
      `defaultValue` - the default value.
    Returns:
      `this` instance.

  - ### setLocale

    public B setLocale(Locale locale)
    Sets the locale.
    Parameters:
      `locale` - the locale.
    Returns:
      `this` instance.

  - ### setLocalizedPattern

    public B setLocalizedPattern(boolean localizedPattern)
    Sets the localized pattern.
    Parameters:
      `localizedPattern` - the localized pattern.
    Returns:
      `this` instance.

  - ### setPattern

    public B setPattern(String pattern)
    Sets the pattern.
    Parameters:
      `pattern` - the pattern.
    Returns:
      `this` instance.

  - ### setUseDefault

    public B setUseDefault(boolean useDefault)
    Sets the use of default.
    Parameters:
      `useDefault` - the use of default.
    Returns:
      `this` instance.